package shape;

import javafx.scene.canvas.GraphicsContext;
import java.util.ArrayList;
import java.util.List;

public class ShapeContainer {
    // Liste pour stocker les formes
    private List<Shape> shapes = new ArrayList<>();

    // Méthode pour ajouter une forme dans le conteneur
    public void add(Shape shape) {
        shapes.add(shape);  // Ajoute la forme à la liste
    }

    // Méthode pour dessiner toutes les formes
    public void draw(GraphicsContext context) {
        for (Shape shape : shapes) {
            shape.draw(context);  // Appelle la méthode draw de chaque forme
        }
    }
}
