package serializer;

import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.stage.Stage;

public class App extends Application {

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) {
        Group root = new Group();
        DrawerWithSave container = new DrawerWithSave(800, 600);
        root.getChildren().add(container);
        primaryStage.setScene(new Scene(root));
        primaryStage.show();
        Button save = new Button("save");
        root.getChildren().add(save);
        save.setLayoutX(0);
        save.setLayoutY(0);
        root.setOnKeyPressed(event->container.context.keyPressed(event));
        //save.setOnKeyPressed(event->container.context.keyPressed(event));
        save.setOnAction(event -> container.write());

    }
}